﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Page1 : ContentPage
    {       
        public Page1()
        {
            InitializeComponent();

            SfChart diagram = new SfChart();
           
            NumericalAxis xAxis = new NumericalAxis{
                Title = new ChartAxisTitle{ Text = "Fortschritt" },
				MajorTickStyle = new ChartAxisTickStyle{ TickSize = 0 },
				EdgeLabelsDrawingMode = EdgeLabelsDrawingMode.Shift,
				Interval = 1,
				Minimum = 0,
				Maximum = 9
            };
            xAxis.LabelCreated += onLabelCreated;
            NumericalAxis yAxis = new NumericalAxis
            {
                Title = new ChartAxisTitle { Text = "Erinnerung" },
                //LabelStyle = new ChartAxisLabelStyle{ TextColor = Color.White },
                MajorTickStyle = new ChartAxisTickStyle { TickSize = 0 },
                Interval = 1,
                Minimum = 0,
                Maximum = 8

            };

            diagram.PrimaryAxis = xAxis;
            diagram.SecondaryAxis = yAxis;

            var lineData = new ObservableCollection<ChartDataPoint>
			{
				new ChartDataPoint(0, 5),
				new ChartDataPoint(8, 5)
			};

            LineSeries lineSeries = new LineSeries
            {
                ItemsSource = lineData,
                StrokeWidth = 5,
                Color = Color.Blue
            };

            //Still unable to reproduce the your issue when we add LineSeries.
            diagram.Series.Add(lineSeries);
                       
            Content = diagram;
        }

        private void onLabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            
        }
    }
}